Package org.apache.groovy.dateutil

# Class TimeDatumDependentDuration

java.lang.Object
org.apache.groovy.dateutil.BaseDuration
org.apache.groovy.dateutil.DatumDependentDuration
org.apache.groovy.dateutil.TimeDatumDependentDuration

All Implemented Interfaces:
  `Comparable<BaseDuration>`

public class TimeDatumDependentDuration extends DatumDependentDuration
The result of mixing a `TimeDuration` with a `DatumDependentDuration`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.groovy.dateutil.BaseDuration

  `BaseDuration.From`

- ## Field Summary

  ### Fields inherited from class org.apache.groovy.dateutil.BaseDuration

  `days, hours, millis, minutes, months, seconds, years`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeDatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatumDependentDuration`
  `minus(DatumDependentDuration rhs)`
  `DatumDependentDuration`
  `minus(Duration rhs)`
  `DatumDependentDuration`
  `plus(DatumDependentDuration rhs)`
  `DatumDependentDuration`
  `plus(Duration rhs)`

  ### Methods inherited from class org.apache.groovy.dateutil.DatumDependentDuration

  `plus, plus`

  ### Methods inherited from class org.apache.groovy.dateutil.BaseDuration

  `compareTo, getAgo, getDays, getFrom, getHours, getMillis, getMinutes, getMonths, getSeconds, getYears, plus, toMilliseconds, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TimeDatumDependentDuration

    public TimeDatumDependentDuration(int years, int months, int days, int hours, int minutes, int seconds, int millis)

- ## Method Details

  - ### plus

    public DatumDependentDuration plus(Duration rhs)
    Overrides:
      `plus` in class `DatumDependentDuration`

  - ### plus

    public DatumDependentDuration plus(DatumDependentDuration rhs)
    Overrides:
      `plus` in class `DatumDependentDuration`

  - ### minus

    public DatumDependentDuration minus(Duration rhs)
    Overrides:
      `minus` in class `DatumDependentDuration`

  - ### minus

    public DatumDependentDuration minus(DatumDependentDuration rhs)
    Overrides:
      `minus` in class `DatumDependentDuration`